Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> Edgewall Software Trac SQL injection flaw


Vulnerability Assessment Details

Edgewall Software Trac SQL injection flaw

Vulnerability Assessment Summary
Checks for SQL injection flaw in Trac

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a CGI script that is affected by a SQL
injection flaw.

Description:

The remote host is running Trac, an enhanced wiki and issue tracking
system for software development projects written in python.

The remote version of this software is prone to a SQL injection flaw
through the ticket query module due to 'group' parameter is not
properly sanitized.

See also:

http://www.securityfocus.com/archive/1/418294/30/0/threaded
http://projects.edgewall.com/trac/wiki/ChangeLog

Solution:

Upgrade to Trac version 0.9.1 or later.

Network Security Threat Level:

High / CVSS Base Score : 7.0
(AV:R/AC:L/Au:NR/C:P/I:P/A:P/B:N)

Networks Security ID: 15676

Vulnerability Assessment Copyright: This script is Copyright (C) 2005 David Maciejak

Cables, Connectors

Intel Core i7-870 2.93GHZ/8MB LGA 1156-CPU
$53.5
Intel Core i7-870 2.93GHZ/8MB LGA 1156-CPU  pictureDell Inspiron 5477 CPU Only Heatsink 3KPKJ Tested Warranty
$17.95
Dell Inspiron 5477 CPU Only Heatsink 3KPKJ Tested Warranty pictureIBM 81Y3703 System X3750 M4 CPU Memory Expansion Board
$103.99
IBM 81Y3703 System X3750 M4 CPU Memory Expansion Board picture(89504) HP 17-BS049DX Notebook (2.7GHz Processor, 8GB RAM, 1TB HDD)
$299.99
(89504) HP 17-BS049DX Notebook (2.7GHz Processor, 8GB RAM, 1TB HDD) picture


Discussions

No Discussions have been posted on this vulnerability.